Recent Global Feeds killed my site...!

Brand new site setup, latest versions of everything. Multi-user site utilizing auto-blog on the Daily Theme.

I wanted to use Recent Global Posts to have a feed from all the multi-sites on my main page but when I activate the plugin I get the following error and can't do anything on my site...

Warning: require_once(../wp-load.php) [function.require-once]: failed to open stream: No such file or directory in /home/mydomainname/public_html/wp-content/plugins/recent-global-posts-feed/recent-global-posts-feed.php on line 28

Fatal error: require_once() [function.require]: Failed opening required '../wp-load.php' (include_path='.:disappointed:usr/lib/php:disappointed:usr/local/lib/php') in /home/mydomainname/public_html/wp-content/plugins/recent-global-posts-feed/recent-global-posts-feed.php on line 28

Help!

thanks
Ian.